Name:            publicsuffix-list
Version:         20211113
Release:         3
Summary:         List of domain name suffixes
License:         MPLv2.0
URL:             https://publicsuffix.org/
Source0:         https://publicsuffix.org/list/public_suffix_list.dat
Source1:         https://www.mozilla.org/media/MPL/2.0/index.txt
Source2:         https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt
	
BuildRequires:   psl-make-dafsa
BuildArch:       noarch
Provides:        publicsuffix-list-dafsa
Obsoletes:       publicsuffix-list-dafsa < %{version}-%{release}

%description
A "public suffix" is one under which Internet users can (or historically could)
directly register names. The Public Suffix List is a list of all known public
suffixes.The Public Suffix List is an initiative of Mozilla, but is maintained
as a community resource. It is available for use in any software, but was
originally created to meet the needs of browser manufacturers.

%prep
%autosetup -c -T
cp -dpR %{SOURCE0} .
cp -dpR %{SOURCE1} COPYING

%build
LC_CTYPE=C.UTF-8 \
psl-make-dafsa --output-format=binary \
  %{SOURCE0} public_suffix_list.dafsa

%install
install -m 644 -p -D public_suffix_list.dafsa %{buildroot}/%{_datadir}/publicsuffix/public_suffix_list.dafsa
install -m 644 -p -D %{SOURCE0} %{buildroot}/%{_datadir}/publicsuffix/public_suffix_list.dat
install -m 644 -p -D %{SOURCE2} %{buildroot}/%{_datadir}/publicsuffix/test_psl.txt
ln -s public_suffix_list.dat %{buildroot}/%{_datadir}/publicsuffix/effective_tld_names.dat

%pre

%preun

%post

%postun

%files
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt
%{_datadir}/publicsuffix/public_suffix_list.dafsa

%changelog
* Tue Sep 13 2022 fuanan <fuanan3@h-partners.com> - 20211113-3
- Fix Obsoletes in spec

* Tue Apr 26 2022 zhangruifang2020 <zhangruifang1@h-partners.com> - 20211113-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify the changelog

* Thu Dec 2 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 20211113-1
- Type:update
- ID:NA
- SUG:NA
- DESC:update to 20211113

* Tue Jul 28 2020 zhangxingliang <zhangxingliang3@huawei.com> - 20200718-1
- Type:update
- ID:NA
- SUG:NA
- DESC:update to 20200718

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 20180723-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec rule in openeuler

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 20180723-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:revise requires in openeuler

* Sat Sep 07 2019 openEuler Buildteam <buildteam@openeuler.org> - 20180723-1
- Package init
